
body {
    overflow: hidden;
}

:root {
    --ar-button-scale: 1;
    --poster-color: transparent;
    --progress-bar-height: 0;
}

mazing-viewer {
    width: 100%;
    height: 90%;
}

.ar-button {
    right: 0;
    font-weight: bold;

    position: sticky;
    margin-left: auto;
    margin-right: auto;
    bottom: 32px;

    border-radius: 12px;
    font-family: 'Montserrat', sans-serif;
    font-size: 0.7rem;
    width: fit-content;
    display: flex;
    align-items: center;
    z-index: 1000;
    background: #E7EDF1;
    border: 0;
    padding: 10px 16px 10px 10px;
}



.ar-button:active:focus {
    border-color: rgb(126, 126, 126);
    transform: translateY(+1px);
}

.pulse-button {
    box-shadow: 0 0 0 0 rgb(68, 85, 131);
    cursor: pointer;
    -webkit-animation: pulse 2.25s infinite cubic-bezier(0.66, 0, 0, 1);
    -moz-animation: pulse 2.25s infinite cubic-bezier(0.66, 0, 0, 1);
    -ms-animation: pulse 2.25s infinite cubic-bezier(0.66, 0, 0, 1);
    animation: pulse 2.25s infinite cubic-bezier(0.66, 0, 0, 1);
}

.pulse-button:hover {
    -webkit-animation: none;
    -moz-animation: none;
    -ms-animation: none;
    animation: none;
}


@keyframes pulse
{
    0% {
        box-shadow: 0 0 0 0px rgba(231, 237, 241, 0.4);
    }
    100% {
        box-shadow: 0 0 7px 27px rgba(231, 237, 241, 0);
    }
}

.ar-btn-icon {
    width: 28px;
    height: auto;
    margin-right: 4%;
    filter: brightness(0) saturate(100%) invert(43%) sepia(8%) saturate(107%) hue-rotate(181deg) brightness(88%) contrast(86%);
}

.ar-btn-txt {
    font-family: 'Montserrat', sans-serif;
    font-size: 1.1rem;
    text-align: center;
    width: fit-content;
    margin-right: 4%;
    text-wrap: nowrap;
    color: #666769;
    font-weight: normal;
    margin-top: 0;
    margin-bottom: 0;
}